class REDBehavior extends Sup.Behavior {
  update() {
    let girl = Sup.getActor("Player");
    if (Sup.ArcadePhysics2D.collides(girl.arcadeBody2D, this.actor.arcadeBody2D)) {
      this.actor.destroy();
      girl.getBehavior(PlayerBehavior2).hasRed = true;
    }
  }
}
Sup.registerBehavior(REDBehavior);
